=== modified file 'olive/__init__.py'
--- olive/__init__.py	2006-09-27 19:52:46 +0000
+++ olive/__init__.py	2006-09-27 20:30:59 +0000
@@ -24,12 +24,9 @@
     pygtk.require("2.0")
 except:
     pass
-try:
-    import gtk
-    import gtk.gdk
-    import gtk.glade
-except:
-    sys.exit(1)
+import gtk
+import gtk.gdk
+import gtk.glade
 
 from handler import OliveHandler
 import bzrlib.errors as errors
@@ -63,7 +60,7 @@
         
         self.pref = OlivePreferences()
         self.comm = OliveCommunicator(self.toplevel, self.pref)
-        handler = OliveHandler(self.comm)
+        handler = OliveHandler(self.comm.get_path())
         
         # Dictionary for signal_autoconnect
         dic = { "on_window_main_destroy": gtk.main_quit,

=== modified file 'olive/add.py'
--- olive/add.py	2006-09-27 19:52:46 +0000
+++ olive/add.py	2006-09-27 20:30:59 +0000
@@ -74,8 +74,6 @@
                                          _('You can perform this action only in a branch.'))
                 self.comm.set_busy(self.window, False)
                 return
-            except:
-                raise
         elif radio_unknown.get_active():
             # Add unknown files recursively
             try:
@@ -85,8 +83,6 @@
                                          _('You can perform this action only in a branch.'))
                 self.comm.set_busy(self.window, False)
                 return
-            except:
-                raise
         else:
             # This should really never happen.
             pass

=== modified file 'olive/branch.py'
--- olive/branch.py	2006-09-27 19:52:46 +0000
+++ olive/branch.py	2006-09-27 20:30:59 +0000
@@ -26,17 +26,14 @@
 import gtk.glade
 
 import bzrlib.errors as errors
-from olive import gladefile
+from __init__ import gladefile
 
 class OliveBranch:
     """ Display branch dialog and perform the needed operations. """
-    def __init__(self, comm):
+    def __init__(self, path=None):
         """ Initialize the Branch dialog. """
         self.glade = gtk.glade.XML(gladefile, 'window_branch', 'olive-gtk')
-        
-        # Communication object
-        self.comm = comm
-        
+
         self.window = self.glade.get_widget('window_branch')
         
         # Dictionary for signal_autoconnect
@@ -48,7 +45,8 @@
         
         # Save FileChooser state
         self.filechooser = self.glade.get_widget('filechooserbutton_branch')
-        self.filechooser.set_filename(self.comm.get_path())
+        if path is not None:
+            self.filechooser.set_filename(path)
 
     def display(self):
         """ Display the Branch dialog. """
@@ -68,18 +66,15 @@
         revno = spinbutton_revno.get_value_as_int()
         revision_id = br_from.get_rev_id(revno)
         
-        self.comm.set_busy(self.window)
         try:
             from bzrlib.transport import get_transport
 
             br_from = Branch.open(location)
-
             br_from.lock_read()
 
             try:
                 destination = destination + '/' + os.path.basename(location.rstrip("/\\"))
                 to_transport = get_transport(destination)
-
                 to_transport.mkdir('.')
 
                 try:
@@ -94,32 +89,26 @@
                 
             self.close()
             info_dialog(_('Branching successful'),
-                                _('%d revision(s) branched.') % revs)
-            self.comm.refresh_right()
+                        _('%d revision(s) branched.') % revs)
         except errors.NonExistingSource, errmsg:
             error_dialog(_('Non existing source'),
                                      _("The location (%s)\ndoesn't exist.") % errmsg)
-            self.comm.set_busy(self.window, False)
             return
         except errors.TargetAlreadyExists, errmsg:
             error_dialog(_('Target already exists'),
                                      _('Target directory (%s)\nalready exists. Please select another target.') % errmsg)
-            self.comm.set_busy(self.window, False)
             return
         except errors.NonExistingParent, errmsg:
             error_dialog(_('Non existing parent directory'),
                                      _("The parent directory (%s)\ndoesn't exist.") % errmsg)
-            self.comm.set_busy(self.window, False)
             return
         except errors.NonExistingRevision:
             error_dialog(_('Non existing revision'),
                                      _("The revision you specified doesn't exist."))
-            self.comm.set_busy(self.window, False)
             return
         except errors.NotBranchError, errmsg:
             error_dialog(_('Location is not a branch'),
                                      _('The specified location has to be a branch.'))
-            self.comm.set_busy(self.window, False)
             return
         
 

=== modified file 'olive/checkout.py'
--- olive/checkout.py	2006-09-27 19:52:46 +0000
+++ olive/checkout.py	2006-09-27 20:30:59 +0000
@@ -31,13 +31,10 @@
 
 class OliveCheckout:
     """ Display checkout dialog and perform the needed operations. """
-    def __init__(self, comm):
+    def __init__(self, path=None):
         """ Initialize the Checkout dialog. """
         self.glade = gtk.glade.XML('window_checkout', 'olive-gtk')
         
-        # Communication object
-        self.comm = comm
-        
         self.window = self.glade.get_widget('window_checkout')
         
         # Dictionary for signal_autoconnect
@@ -49,7 +46,8 @@
         
         # Save FileChooser state
         self.filechooser = self.glade.get_widget('filechooserbutton_checkout')
-        self.filechooser.set_filename(self.comm.get_path())
+        if path is not None:
+            self.filechooser.set_filename(path)
 
     def display(self):
         """ Display the Checkout dialog. """
@@ -125,8 +123,6 @@
                                      _("The parent directory (%s)\ndoesn't exist.") % errmsg)
             self.comm.set_busy(self.window, False)
             return
-        except:
-            raise
         
         self.close()
         self.comm.refresh_right()

=== modified file 'olive/commit.py'
--- olive/commit.py	2006-09-27 19:52:46 +0000
+++ olive/commit.py	2006-09-27 20:30:59 +0000
@@ -21,13 +21,10 @@
     pygtk.require("2.0")
 except:
     pass
-try:
-    import gtk
-    import gtk.glade
-    import gobject
-    import pango
-except:
-    sys.exit(1)
+import gtk
+import gtk.glade
+import gobject
+import pango
 
 from bzrlib import version_info
 

=== modified file 'olive/dialog.py'
--- olive/dialog.py	2006-09-27 17:38:39 +0000
+++ olive/dialog.py	2006-09-27 20:30:59 +0000
@@ -21,11 +21,8 @@
     pygtk.require("2.0")
 except:
     pass
-try:
-    import gtk
-    import gtk.glade
-except:
-    sys.exit(1)
+import gtk
+import gtk.glade
 
 def about():
 	""" Display the AboutDialog. """

=== modified file 'olive/handler.py'
--- olive/handler.py	2006-09-27 19:52:46 +0000
+++ olive/handler.py	2006-09-27 20:30:59 +0000
@@ -31,15 +31,12 @@
 from bzrlib.workingtree import WorkingTree
 
 from dialog import about, error_dialog, info_dialog
-from menu import OliveMenu
 from launch import launch
 
 class OliveHandler:
     """ Signal handler class for Olive. """
-    def __init__(self,  comm):
-        self.comm = comm
-        
-        self.menu = OliveMenu(self.comm)
+    def __init__(self, path):
+        self.wt, self.path = WorkingTree.open_containing(path)
     
     def on_about_activate(self, widget):
         about()
@@ -47,28 +44,25 @@
     def on_menuitem_add_files_activate(self, widget):
         """ Add file(s)... menu handler. """
         from add import OliveAdd
-        wt, path = WorkingTree.open_containing(self.comm.get_path())
-        add = OliveAdd(wt, path, 
-                self.comm.get_selected_right())
+        add = OliveAdd(self.wt, self.path, self.comm.get_selected_right())
         add.display()
     
     def on_menuitem_branch_get_activate(self, widget):
         """ Branch/Get... menu handler. """
         from branch import OliveBranch
-        branch = OliveBranch(self.comm)
+        branch = OliveBranch()
         branch.display()
     
     def on_menuitem_branch_checkout_activate(self, widget):
         """ Branch/Checkout... menu handler. """
         from checkout import OliveCheckout
-        checkout = OliveCheckout(self.comm)
+        checkout = OliveCheckout()
         checkout.display()
     
     def on_menuitem_branch_commit_activate(self, widget):
         """ Branch/Commit... menu handler. """
         from commit import OliveCommit
-        wt, path = WorkingTree.open_containing(self.comm.get_path())
-        commit = OliveCommit(wt, path)
+        commit = OliveCommit(self.wt, self.path)
         commit.display()
     
     def on_menuitem_branch_missing_revisions_activate(self, widget):
@@ -79,12 +73,7 @@
         try:
             import bzrlib
             
-            try:
-                local_branch = Branch.open_containing(self.comm.get_path())[0]
-            except NotBranchError:
-                error_dialog(_('Directory is not a branch'),
-                                         _('You can perform this action only in a branch.'))
-                return
+            local_branch = self.wt.branch
             
             other_branch = local_branch.get_parent()
             if other_branch is None:
@@ -113,44 +102,30 @@
         
         self.comm.set_busy(self.comm.window_main)
 
+        branch_to = self.wt.branch
+
+        location = branch_to.get_parent()
+        if location is None:
+            error_dialog(_('Parent location is unknown'),
+                                     _('Pulling is not possible until there is a parent location.'))
+            return
+
         try:
-            try:
-                from bzrlib.workingtree import WorkingTree
-                tree_to = WorkingTree.open_containing(self.comm.get_path())[0]
-                branch_to = tree_to.branch
-            except errors.NoWorkingTree:
-                tree_to = None
-                branch_to = Branch.open_containing(self.comm.get_path())[0]
-            except errors.NotBranchError:
-                 error_dialog(_('Directory is not a branch'),
-                                         _('You can perform this action only in a branch.'))
-
-            location = branch_to.get_parent()
-            if location is None:
-                error_dialog(_('Parent location is unknown'),
-                                         _('Pulling is not possible until there is a parent location.'))
-                return
-
-            try:
-                branch_from = Branch.open(location)
-            except errors.NotBranchError:
-                error_dialog(_('Directory is not a branch'),
-                                         _('You can perform this action only in a branch.'))
-
-            if branch_to.get_parent() is None:
-                branch_to.set_parent(branch_from.base)
-
-            old_rh = branch_to.revision_history()
-            if tree_to is not None:
-                tree_to.pull(branch_from)
-            else:
-                branch_to.pull(branch_from)
-            
-            info_dialog(_('Pull successful'),
-                                    _('%d revision(s) pulled.') % ret)
-            
-        finally:
-            self.comm.set_busy(self.comm.window_main, False)
+            branch_from = Branch.open(location)
+        except errors.NotBranchError:
+            error_dialog(_('Directory is not a branch'),
+                                     _('You can perform this action only in a branch.'))
+
+        if branch_to.get_parent() is None:
+            branch_to.set_parent(branch_from.base)
+
+        old_rh = branch_to.revision_history()
+        if tree_to is not None:
+            tree_to.pull(branch_from)
+        else:
+            branch_to.pull(branch_from)
+        
+        info_dialog(_('Pull successful'), _('%d revision(s) pulled.') % ret)
     
     def on_menuitem_branch_push_activate(self, widget):
         """ Branch/Push... menu handler. """
@@ -161,8 +136,7 @@
     def on_menuitem_branch_status_activate(self, widget):
         """ Branch/Status... menu handler. """
         from status import OliveStatus
-        wt, wtpath = WorkingTree.open_containing(self.comm.get_path())
-        status = OliveStatus(wt, wtpath)
+        status = OliveStatus(self.wt, self.path)
         status.display()
     
     def on_menuitem_branch_initialize_activate(self, widget):
@@ -228,9 +202,8 @@
         """ Statistics/Differences... menu handler. """
         from bzrlib.plugins.gtk.viz.diffwin import DiffWindow
         window = DiffWindow()
-        wt = WorkingTree.open_containing(self.comm.get_path())[0]
-        parent_tree = wt.branch.repository.revision_tree(wt.branch.last_revision())
-        window.set_diff(wt.branch.nick, wt, parent_tree)
+        parent_tree = self.wt.branch.repository.revision_tree(self.wt.branch.last_revision())
+        window.set_diff(self.wt.branch.nick, self.wt, parent_tree)
         window.show()
     
     def on_menuitem_stats_infos_activate(self, widget):

=== modified file 'olive/log.py'
--- olive/log.py	2006-09-27 19:52:46 +0000
+++ olive/log.py	2006-09-27 20:30:59 +0000
@@ -21,13 +21,10 @@
     pygtk.require("2.0")
 except:
     pass
-try:
-    import gtk
-    import gtk.glade
-    import gobject
-    import pango
-except:
-    sys.exit(1)
+import gtk
+import gtk.glade
+import gobject
+import pango
 
 from bzrlib.branch import Branch
 import bzrlib.errors as errors
@@ -53,17 +50,11 @@
         except errors.NotBranchError:
             self.notbranch = True
             return
-        except:
-            raise
         
         self.revid = self.branch.last_revision()
 
     def display(self):
-        """ Display the Log (bzrk) window. """
-        if self.notbranch:
-            error_dialog(_('Directory is not a branch'),
-                                     _('You can perform this action only in a branch.'))
-        else:
-            window = BranchWindow()
-            window.set_branch(self.branch, self.revid, None)
-            window.show()
+		""" Display the Log (bzrk) window. """
+		window = BranchWindow()
+		window.set_branch(self.branch, self.revid, None)
+		window.show()

=== modified file 'olive/menu.py'
--- olive/menu.py	2006-09-27 19:52:46 +0000
+++ olive/menu.py	2006-09-27 20:30:59 +0000
@@ -32,7 +32,7 @@
 
 class OliveMenu:
     """ This class is responsible for building the context menus. """
-    def __init__(self, comm):
+    def __init__(self):
         # Load the UI file
         if sys.platform == 'win32':
             self.uifile = os.path.dirname(sys.executable) + "/share/olive/cmenu.ui"
@@ -48,8 +48,6 @@
                 print _('UI description file cannot be found.')
                 sys.exit(1)
         
-        self.comm = comm
-        
         # Create the file list context menu
         self.ui = gtk.UIManager()
         
@@ -135,14 +133,14 @@
             
         if filename is None:
             error_dialog(_('No file was selected'),
-                                     _('Please select a file from the list,\nor choose the other option.'))
+                         _('Please select a file from the list,\nor choose the other option.'))
             return
         
         try:
             bzrlib.add.smart_add([directory + '/' + filename])
         except errors.NotBranchError:
             error_dialog(_('Directory is not a branch'),
-                                     _('You can perform this action only in a branch.'))
+                         _('You can perform this action only in a branch.'))
             return
         
         self.comm.refresh_right()
@@ -155,7 +153,7 @@
         
         if filename is None:
             error_dialog(_('No file was selected'),
-                                     _('Please select a file from the list,\nor choose the other option.'))
+                         _('Please select a file from the list,\nor choose the other option.'))
             return
         
         try:
@@ -170,8 +168,6 @@
             error_dialog(_('File not versioned'),
                                      _('The selected file is not versioned.'))
             return
-        except:
-            raise
         
         self.comm.refresh_right()
 

=== modified file 'olive/move.py'
--- olive/move.py	2006-09-27 19:52:46 +0000
+++ olive/move.py	2006-09-27 20:30:59 +0000
@@ -22,6 +22,7 @@
     pygtk.require("2.0")
 except:
     pass
+
 import gtk
 import gtk.glade
 

=== modified file 'olive/push.py'
--- olive/push.py	2006-09-27 19:52:46 +0000
+++ olive/push.py	2006-09-27 20:30:59 +0000
@@ -128,8 +128,6 @@
                 error_dialog(_('Branches have been diverged'),
                                          _('You cannot push if branches have diverged. Use the\noverwrite option if you want to push anyway.'))
                 return
-            except:
-                raise
         elif self.radio_specific.get_active():
             location = self.entry_location.get_text()
             if location == '':
@@ -152,11 +150,6 @@
                                          _('You cannot push if branches have diverged. Use the\noverwrite option if you want to push anyway.'))
                 self.comm.set_busy(self.window, False)
                 return
-            except:
-                raise
-        else:
-            # This should really never happen
-            pass
         
         self.close()
         info_dialog(_('Push successful'),

=== modified file 'olive/remove.py'
--- olive/remove.py	2006-09-27 19:52:46 +0000
+++ olive/remove.py	2006-09-27 20:30:59 +0000
@@ -20,7 +20,8 @@
     import pygtk
     pygtk.require("2.0")
 except:
-    pass
+	pass
+
 import gtk
 import gtk.glade
 
@@ -31,7 +32,7 @@
 
 class OliveRemove:
     """ Display the Remove file(s) dialog and perform the needed actions. """
-    def __init__(self, comm):
+    def __init__(self):
         """ Initialize the Remove file(s) dialog. """
         self.glade = gtk.glade.XML(gladefile, 'window_remove')
         
@@ -57,7 +58,6 @@
         
         directory = self.comm.get_path()
         
-        self.comm.set_busy(self.window)
         if radio_selected.get_active():
             # Remove only the selected file
             filename = self.comm.get_selected_right()
@@ -65,7 +65,6 @@
             if filename is None:
                 error_dialog(_('No file was selected'),
                                          _('Please select a file from the list,\nor choose the other option.'))
-                self.comm.set_busy(self.window, False)
                 return
             
             try:
@@ -74,15 +73,11 @@
             except errors.NotBranchError:
                 error_dialog(_('Directory is not a branch'),
                                          _('You can perform this action only in a branch.'))
-                self.comm.set_busy(self.window, False)
                 return
             except errors.NotVersionedError:
                 error_dialog(_('File not versioned'),
                                          _('The selected file is not versioned.'))
-                self.comm.set_busy(self.window, False)
                 return
-            except:
-                raise
         elif radio_new.get_active():
             # Remove added files recursively
             try:
@@ -101,9 +96,6 @@
                 self.comm.set_busy(self.window, False)
                 return
             wt.remove(file_list)
-        else:
-            # This should really never happen.
-            pass
         
         self.close()
         self.comm.refresh_right()

=== modified file 'olive/rename.py'
--- olive/rename.py	2006-09-27 19:52:46 +0000
+++ olive/rename.py	2006-09-27 20:30:59 +0000
@@ -22,11 +22,9 @@
     pygtk.require("2.0")
 except:
     pass
-try:
-    import gtk
-    import gtk.glade
-except:
-    sys.exit(1)
+
+import gtk
+import gtk.glade
 
 import bzrlib.errors as errors
 

=== modified file 'olive/status.py'
--- olive/status.py	2006-09-27 19:52:46 +0000
+++ olive/status.py	2006-09-27 20:30:59 +0000
@@ -21,13 +21,11 @@
     pygtk.require("2.0")
 except:
     pass
-try:
-    import gtk
-    import gtk.glade
-    import gobject
-    import pango
-except:
-    sys.exit(1)
+
+import gtk
+import gtk.glade
+import gobject
+import pango
 
 import bzrlib
 import bzrlib.errors as errors
@@ -56,8 +54,6 @@
         except errors.NotBranchError:
             self.notbranch = True
             return
-        except:
-            raise
         
         file_id = self.wt.path2id(wtpath)
 

